Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(5)

Issue 256230043: Advanced search for tickets

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 3 months ago by vipul
Modified:
4 years, 3 months ago
Reviewers:
thomas.j.waldmann
Visibility:
Public.

Description

Advanced search for tickets like /+search view but specifically for tickets. Contains a search bar for ticket search and extra search option contains options to filter tickets based on author, assignee, effort, severity, difficulty, priority and tags

Patch Set 1 #

Total comments: 1

Patch Set 2 : fixed errors/search filters #

Total comments: 8

Patch Set 3 : fixed userid and made it more like /+search view #

Unified diffs Side-by-side diffs Delta from patch set Stats (+170 lines, -2 lines) Patch
M MoinMoin/apps/frontend/views.py View 1 2 2 chunks +44 lines, -0 lines 0 comments Download
M MoinMoin/items/ticket.py View 1 2 3 chunks +14 lines, -1 line 0 comments Download
A MoinMoin/templates/ticket/advanced.html View 1 2 1 chunk +109 lines, -0 lines 0 comments Download
M MoinMoin/templates/ticket/submit.html View 1 chunk +1 line, -1 line 0 comments Download
M MoinMoin/templates/tickets.html View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 10
vipul
https://codereview.appspot.com/256230043/diff/1/MoinMoin/apps/frontend/views.py File MoinMoin/apps/frontend/views.py (right): https://codereview.appspot.com/256230043/diff/1/MoinMoin/apps/frontend/views.py#newcode2403 MoinMoin/apps/frontend/views.py:2403: assigned_to = request.form.get('assigned_to') Not sure about the query. Need ...
4 years, 3 months ago (2015-07-28 07:10:07 UTC) #1
vipul
4 years, 3 months ago (2015-07-28 07:11:45 UTC) #2
sksaurabhkathpalia
https://codereview.appspot.com/256230043/diff/20001/MoinMoin/items/ticket.py File MoinMoin/items/ticket.py (right): https://codereview.appspot.com/256230043/diff/20001/MoinMoin/items/ticket.py#newcode214 MoinMoin/items/ticket.py:214: print flaskg.user.itemid remove this debug statement
4 years, 3 months ago (2015-08-02 11:35:09 UTC) #3
Thomas.J.Waldmann
https://codereview.appspot.com/256230043/diff/20001/MoinMoin/constants/keys.py File MoinMoin/constants/keys.py (right): https://codereview.appspot.com/256230043/diff/20001/MoinMoin/constants/keys.py#newcode39 MoinMoin/constants/keys.py:39: USERID = u"userid" ^ guess what that is ;) ...
4 years, 3 months ago (2015-08-04 16:16:36 UTC) #4
vipul
https://codereview.appspot.com/256230043/diff/20001/MoinMoin/constants/keys.py File MoinMoin/constants/keys.py (right): https://codereview.appspot.com/256230043/diff/20001/MoinMoin/constants/keys.py#newcode39 MoinMoin/constants/keys.py:39: USERID = u"userid" On 2015/08/04 16:16:36, Thomas.J.Waldmann wrote: > ...
4 years, 3 months ago (2015-08-05 20:03:36 UTC) #5
sksaurabhkathpalia
https://codereview.appspot.com/256230043/diff/20001/MoinMoin/items/ticket.py File MoinMoin/items/ticket.py (right): https://codereview.appspot.com/256230043/diff/20001/MoinMoin/items/ticket.py#newcode214 MoinMoin/items/ticket.py:214: print flaskg.user.itemid On 2015/08/05 20:03:36, vipul wrote: > On ...
4 years, 3 months ago (2015-08-07 18:29:09 UTC) #6
Thomas.J.Waldmann
> Still not done. Update this CR. !
4 years, 3 months ago (2015-08-11 15:42:18 UTC) #7
vipul
On 2015/08/11 15:42:18, Thomas.J.Waldmann wrote: > > Still not done. Update this CR. > > ...
4 years, 3 months ago (2015-08-11 15:46:31 UTC) #8
vipul
4 years, 3 months ago (2015-08-12 07:08:49 UTC) #9
vipul
4 years, 3 months ago (2015-08-17 06:07:09 UTC) #10
Needs review
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b